from __future__ import print_function
import os
import psutil

PIDPATH = "/var/run/"

def getProcessStatus(pidName):
    status = None
    pid = None
    pidFileName = os.path.join(PIDPATH, pidName + '.pid')
    if (os.path.isfile(pidFileName)):
        pidFile = open(pidFileName, 'r')
        pid = pidFile.readlines()
        pidFile.close()
        if (pid) and (1 == len(pid)) and (pid[0].isdigit()):
            pid = int(pid[0])
    if (pid):
        if psutil.pid_exists(pid):
            p = psutil.Process(pid)
            status = p.status()
        else:
            pid = None
    return status, pid

def writePidFile(pidName, pid):
    pidFileName = os.path.join(PIDPATH, pidName + '.pid')
    pidFile = open(pidFileName, 'w')
    pidFile.write(str(pid))
    pidFile.close()

def deletePidFile(pidname):
    pidFileName = os.path.join(PIDPATH, pidName + '.pid')
    if (os.path.isfile(pidFileName)):
        os.remove(pidFileName)
